# Get Invoices GET https://api.shipbob.com/2025-07/invoices Gets a paginated list of invoices, optionally filtered by invoice types and date range Reference: https://developer.shipbob.com/api/billing/get-invoices ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2025-07 version: 1.0.0 paths: /2025-07/invoices: get: operationId: get-invoices summary: Get Invoices description: >- Gets a paginated list of invoices, optionally filtered by invoice types and date range tags: - subpackage_billing parameters: - name: Cursor in: query description: > [Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters. required: false schema: type: string - name: FromDate in: query description: > [Optional] Start date for filtering invoices by invoice date. Default is current - 1 month date. required: false schema: type: string format: date-time - name: ToDate in: query description: > [Optional] End date for filtering invoices by invoice date. Default is current date. required: false schema: type: string format: date-time - name: InvoiceTypes in: query description: >- [Optional] Filter invoices by invoice type. Valid values: Shipping,WarehouseStorage,Inbound Fee,Return,AdditionalFee,Credits required: false schema: type: array items: type: string - name: PageSize in: query description: > Number of invoices to return per page (default: 100). Must be between 1 and 1000. required: false schema: type: integer - name: SortOrder in: query description: > Sort invoices by Invoice Date. Values - Ascending, Descending. Default: Descending. required: false schema: type: string - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Billing.InvoiceDtoCursorPagedResponseV3' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/Billing.ProblemDetails' '401': description: Authorization missing or invalid content: application/json: schema: description: Any type '403': description: The provided credentials are not authorized to access this resource content: application/json: schema: description: Any type '422': description: Client Error content: application/json: schema: $ref: '#/components/schemas/Billing.ProblemDetails' '500': description: Server Error content: application/json: schema: description: Any type servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Billing.InvoiceDtoV3: type: object properties: amount: type: number format: double description: The total invoice amount. currency_code: type: - string - 'null' description: The ISO currency code used in the invoice (e.g., USD, EUR). invoice_date: type: - string - 'null' description: The invoice date in yyyy-mm-dd format. invoice_id: type: integer description: Unique identifier for the invoice. invoice_type: type: - string - 'null' description: "The type or category of the invoice. Available options:\r\n- Shipping \r\n- Inbound Fee \r\n- WarehouseStorage \r\n- AdditionalFee \r\n- Return \r\n- Credits \r\n- BalanceAdjustment \r\n- Payment" running_balance: type: number format: double description: The running balance of the account after this invoice is applied. description: Data transfer object representing an invoice. title: Billing.InvoiceDtoV3 Billing.InvoiceDtoCursorPagedResponseV3: type: object properties: first: type: - string - 'null' description: Go to the first page items: type: - array - 'null' items: $ref: '#/components/schemas/Billing.InvoiceDtoV3' last: type: - string - 'null' description: Go to the Last page next: type: - string - 'null' description: Go to the Next page prev: type: - string - 'null' description: Go to the Previous page title: Billing.InvoiceDtoCursorPagedResponseV3 Billing.ProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Billing.ProblemDetails securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Billing_getInvoices_example import requests url = "https://api.shipbob.com/2025-07/invoices" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Billing_getInvoices_example const url = 'https://api.shipbob.com/2025-07/invoices'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Billing_getInvoices_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2025-07/invoices" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Billing_getInvoices_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2025-07/invoices") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Billing_getInvoices_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2025-07/invoices") .header("Authorization", "Bearer ") .asString(); ``` ```php Billing_getInvoices_example request('GET', 'https://api.shipbob.com/2025-07/invoices', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Billing_getInvoices_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2025-07/invoices"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Billing_getInvoices_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/invoices")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```